LogHarbour: logging - Task #17963

Spec: detailed specs for all WSC
18/02/2024 03:07 AM - Shuvam Misra

Status: Closed Start date:

Priority: Urgent Due date: 23/02/2024
Assignee: Sachin Divekar % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 29 Feb

Description

The web service call spec are at https:/github.com/remiges-tech/logharbour/wiki/Web-service-calls

They need more details.

History

#1 - 18/02/2024 03:16 AM - Shuvam Misra
- Target version changed from Sprint 15 Mar to Sprint 29 Feb
- Priority changed from Normal to Urgent

- Due date changed from 15/03/2024 to 23/02/2024

#2 - 19/02/2024 11:26 AM - Sachin Divekar

- Status changed from New to In Progress

#3 - 25/02/2024 10:10 PM - Sachin Divekar
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Updated web service specifications with details at https://github.com/remiges-tech/logharbour/wiki/\Web-service-calls

The specifications do not include authorization related details.

#4 - 25/02/2024 10:11 PM - Sachin Divekar
- % Done changed from 100 to 90

#5 - 25/02/2024 10:12 PM - Sachin Divekar

- Status changed from Closed to Rework

#6 - 25/02/2024 10:14 PM - Sachin Divekar

- Status changed from Rework to In Progress

#7 - 27/02/2024 10:04 PM - Sachin Divekar

¢ Updated the spec to make the field names consistent
¢ Split unusual IPs web service into two different web services: one for getting only the list of unusual IP addresses and another for getting logs for
an IP address.

#8 - 29/02/2024 10:17 PM - Sachin Divekar
- % Done changed from 90 to 100

We have changed overall approach of how logharbout consumer and storage work. The design details have been updated by Shuvam in the wiki.
Closing this task.

#9 - 29/02/2024 10:19 PM - Sachin Divekar

- Status changed from In Progress to Closed
